Bug 136767 - firefox & thunderbird libs should link against itself, not /usr/lib/*
firefox & thunderbird libs should link against itself, not /usr/lib/*
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
Depends On:
  Show dependency treegraph
Reported: 2004-10-22 04:47 EDT by Harald Hoyer
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-03-31 04:46:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Harald Hoyer 2004-10-22 04:47:30 EDT
$ ldd /usr/lib/firefox-0.10.1/libnss3.so
        libsoftokn3.so => not found
        libplc4.so => not found
        libplds4.so => not found
        libnspr4.so => not found
        libc.so.6 => /lib/tls/libc.so.6 (0xf6e5f000)
        /lib/ld-linux.so.2 (0x00b35000)

$ rpm -q firefox
$ sudo yum install mozilla-nss mozilla-nspr
Setting up Install Process
$ ldd /usr/lib/firefox-0.10.1/libnss3.so
        libsoftokn3.so => /usr/lib/libsoftokn3.so (0xf6f21000)
        libplc4.so => /usr/lib/libplc4.so (0xf6f1c000)
        libplds4.so => /usr/lib/libplds4.so (0xf6f19000)
        libnspr4.so => /usr/lib/libnspr4.so (0xf6ee8000)
        libc.so.6 => /lib/tls/libc.so.6 (0xf6dc1000)
        libpthread.so.0 => /lib/tls/libpthread.so.0 (0xf6daf000)
        libdl.so.2 => /lib/libdl.so.2 (0xf6dab000)
        /lib/ld-linux.so.2 (0x00b35000)
Comment 1 Paul Nasrat 2004-10-22 05:41:15 EDT
This is intentional - from %changelog:

filter out library Provides: and internal Requires:

The reason was:

$ rpm -qR evolution | grep libnss3

$ rpm -q --whatprovides libnss3.so

This was causing i386 firefox being pulled into x86_64, etc.
Comment 2 Harald Hoyer 2004-10-22 06:27:51 EDT
BUT _firefox_ should require
Comment 3 Harald Hoyer 2004-10-22 06:29:31 EDT
I am not talking about libnss3.so!!!!
Comment 4 Harald Hoyer 2004-10-22 06:37:49 EDT
I could not use https:// until I installed the mozilla-n* rpms...
maybe firefox could not ĺoad its shared libraries, or they do not
provide the same SSL protocols
Comment 5 Paul Nasrat 2004-10-22 06:43:51 EDT
Oops - sorry. Check out the filter script - it should only filter out
things provided by firefox.  

However all those libraries are in /usr/lib/firefox-0.10.1, so the
"libplc4.so" is found by the script and filtered. But as you note
libnss isn't linked against the firefox bundled copies.  I assume it's
a linking issue and libnss3.so should link against firefox's versions?
Comment 6 Warren Togami 2004-10-22 06:45:24 EDT
Perhaps this is a beehive issue?  During development of the firefox
and thunderbird packages using mach, mozilla was never in the
buildroots.  But now mozilla is in the buildroot, and it is confusing
the firefox and thunderbird builds as a result, making it not link to
their own libraries?
Comment 7 Warren Togami 2004-10-31 05:04:21 EST
Huh?  Running firefox-0.10.1-1.0PR1.20 with mozilla* totally
uninstalled and my https still works.  Could this have to do with
LD_LIBRARY_PATH being set to /usr/lib/firefox-0.10.1 from the
/usr/bin/firefox script?

Harald, were you bypassing the /usr/bin/firefox script, perhaps due to
the earlier broken "Preferred Application" thing that set the absolute
path of /usr/lib/firefox-something/firefox in the gconf key?

In any case I think we can solve this and make firefox fully self
contained with --with-nspr-prefix or --with-nspr-exec-prefix.  I am
Comment 8 Warren Togami 2004-10-31 07:57:34 EST
thunderbird has the same problem.
Comment 9 Warren Togami 2004-10-31 10:32:31 EST
Neither --with-nspr-prefix nor --with-nspr-exec-prefix managed to fix
this problem.  Is this a case where RPATH is needed?
Comment 10 Harald Hoyer 2004-11-01 04:19:42 EST
I was not bypassing the firefox script
Comment 11 Warren Togami 2005-01-06 05:41:26 EST
Months later, I have been totally unable to reproduce this behavior. 
With mozilla totally uninstalled I have full SSL capability.

Should we close WORKSFORME?
Comment 12 Harald Hoyer 2005-01-10 05:36:35 EST
Hmm, ok for me
Comment 13 Christopher Aillon 2005-03-31 04:46:08 EST
Ok, worksforme it is then.

Note You need to log in before you can comment on or make changes to this bug.